StarItemPoolInternal::State Struct Reference

Internal: the state of a StarItemPool. More...

## Public Member Functions

| State (StarObject &document, StarItemPool::Type type)
| constructor
void | init (StarItemPool::Type type)
| initialize a pool
void | clean ()
| clean the state
void | setPoolName (librevenge::RVNGString const &name)
| set the pool name
int | isInRange (int which) const
| returns true if the value is in expected range
void | addVersionMap (uint16_t nVers, uint16_t nStart, std::vector< int > const &list)
| add a new version map
int | getWhich (int nFileWhich) const
| try to return ???
State * | getPoolStateFor (int which)
| returns the state corresponding to which
Values * | getValues (int id, bool create=false)
| returns a pointer to the values data
std::shared_ptr< StarAttribute > | getDefaultAttribute (int which)
| try to return a default attribute corresponding to which

## Public Attributes

StarObject & | m_document
| the document
StarItemPool::Type | m_type
| the document type
int | m_majorVersion
| the majorVersion
int | m_minorVersion
| the minorVersion
int | m_loadingVersion
| the loading version
librevenge::RVNGString | m_name
| the name
double | m_relativeUnit
| the relative unit
bool | m_isSecondaryPool
| a flag to know if a pool is a secondary pool
std::shared_ptr< StarItemPool > | m_secondaryPool
| the secondary pool
int | m_currentVersion
| the current version
int | m_verStart
| the minimum version
int | m_verEnd
| the maximum version
std::vector< Version > | m_versionList
| the list of version
std::vector< int > | m_idToAttributeList
| list whichId to attribute list
std::map< int, Values > | m_slotIdToValuesMap
| a map slot to the attribute list
std::map< StyleId, StarItemStyle > | m_styleIdToStyleMap
| the set of style
std::map< librevenge::RVNGString, librevenge::RVNGString > | m_simplifyNameToStyleNameMap
| map simplify style name to style name
std::map< int, std::shared_ptr< StarAttribute > > | m_idToDefaultMap
| map of created default attribute
std::vector< std::shared_ptr< StarItem > > | m_delayedItemList
| list of item which need to be read

## Private Member Functions

| State (State const &orig)=delete
State | operator= (State const &orig)=delete

## Detailed Description

Internal: the state of a StarItemPool.

## Constructor & Destructor Documentation

## State() [1/2]

StarItemPoolInternal::State::State | ( | StarObject & | document,
|  | StarItemPool::Type | type )

inline

constructor

Referenced by getPoolStateFor(), operator=(), and State().

## State() [2/2]

StarItemPoolInternal::State::State | ( | State const & | orig | ) |

private delete

## Member Function Documentation

## addVersionMap()

void StarItemPoolInternal::State::addVersionMap | ( | uint16_t | nVers,
|  | uint16_t | nStart,
|  | std::vector< int > const & | list )

inline

add a new version map

Referenced by init().

## clean()

void StarItemPoolInternal::State::clean | ( |  | ) |

inline

clean the state

## getDefaultAttribute()

std::shared_ptr< StarAttribute > StarItemPoolInternal::State::getDefaultAttribute | ( | int | which | ) |

inline

try to return a default attribute corresponding to which

## getPoolStateFor()

State * StarItemPoolInternal::State::getPoolStateFor | ( | int | which | ) |

inline

returns the state corresponding to which

Referenced by getDefaultAttribute().

## getValues()

Values * StarItemPoolInternal::State::getValues | ( | int | id,
|  | bool | create = false )

inline

returns a pointer to the values data

## getWhich()

int StarItemPoolInternal::State::getWhich | ( | int | nFileWhich | ) | const

inline

try to return ???

## init()

void StarItemPoolInternal::State::init | ( | StarItemPool::Type | type | ) |

initialize a pool

Referenced by setPoolName(), and State().

## isInRange()

int StarItemPoolInternal::State::isInRange | ( | int | which | ) | const

inline

returns true if the value is in expected range

## operator=()

State StarItemPoolInternal::State::operator= | ( | State const & | orig | ) |

private delete

## setPoolName()

void StarItemPoolInternal::State::setPoolName | ( | librevenge::RVNGString const & | name | ) |

inline

set the pool name

## Member Data Documentation

## m_currentVersion

int StarItemPoolInternal::State::m_currentVersion

the current version

Referenced by addVersionMap(), getWhich(), init(), and State().

## m_delayedItemList

std::vector<std::shared_ptr<StarItem> > StarItemPoolInternal::State::m_delayedItemList

list of item which need to be read

Referenced by clean(), and State().

## m_document

StarObject& StarItemPoolInternal::State::m_document

the document

Referenced by getDefaultAttribute(), and State().

## m_idToAttributeList

std::vector<int> StarItemPoolInternal::State::m_idToAttributeList

list whichId to attribute list

Referenced by clean(), init(), and State().

## m_idToDefaultMap

std::map<int,std::shared_ptr<StarAttribute> > StarItemPoolInternal::State::m_idToDefaultMap

map of created default attribute

Referenced by clean(), getDefaultAttribute(), and State().

## m_isSecondaryPool

bool StarItemPoolInternal::State::m_isSecondaryPool

a flag to know if a pool is a secondary pool

Referenced by State().

## m_loadingVersion

int StarItemPoolInternal::State::m_loadingVersion

the loading version

Referenced by getWhich(), and State().

## m_majorVersion

int StarItemPoolInternal::State::m_majorVersion

the majorVersion

Referenced by State().

## m_minorVersion

int StarItemPoolInternal::State::m_minorVersion

the minorVersion

Referenced by State().

## m_name

librevenge::RVNGString StarItemPoolInternal::State::m_name

the name

Referenced by setPoolName(), and State().

## m_relativeUnit

double StarItemPoolInternal::State::m_relativeUnit

the relative unit

Referenced by State().

## m_secondaryPool

std::shared_ptr<StarItemPool> StarItemPoolInternal::State::m_secondaryPool

the secondary pool

Referenced by clean(), getPoolStateFor(), getWhich(), isInRange(), and State().

## m_simplifyNameToStyleNameMap

std::map<librevenge::RVNGString, librevenge::RVNGString> StarItemPoolInternal::State::m_simplifyNameToStyleNameMap

map simplify style name to style name

Referenced by clean(), and State().

## m_slotIdToValuesMap

std::map<int, Values> StarItemPoolInternal::State::m_slotIdToValuesMap

a map slot to the attribute list

Referenced by clean(), getValues(), and State().

## m_styleIdToStyleMap

std::map<StyleId,StarItemStyle> StarItemPoolInternal::State::m_styleIdToStyleMap

the set of style

Referenced by clean(), and State().

## m_type

StarItemPool::Type StarItemPoolInternal::State::m_type

the document type

Referenced by init(), and State().

## m_verEnd

int StarItemPoolInternal::State::m_verEnd

the maximum version

Referenced by addVersionMap(), getPoolStateFor(), getWhich(), init(), isInRange(), and State().

## m_versionList

std::vector<Version> StarItemPoolInternal::State::m_versionList

the list of version

Referenced by addVersionMap(), clean(), getWhich(), init(), and State().

## m_verStart

int StarItemPoolInternal::State::m_verStart

the minimum version

Referenced by addVersionMap(), getDefaultAttribute(), getPoolStateFor(), init(), isInRange(), and State().

The documentation for this struct was generated from the following file:

- StarItemPool.cxx